1. Indicator Data Input
ESG SDMS Prod
  • Authentication
    • Auth
      POST
  • Corporate
    • Indicators
      • List Indicators
      • Show Indicator
    • Indicator Data Input
      • List Data Input
        GET
      • Get Data Input
        GET
      • Create Data Input
        POST
      • Update Data Input
        PUT
      • Delete Data Input
        DELETE
      • Create or Update Data Input
        POST
    • Units
      • List Units
      • Show Unit
    • Themes
      • List Themes
      • Show Theme
    • Groups
      • Show Group
      • List Groups
    • Regimes
      • Show Regime
      • List Regimes
    • Years
      • Show Year
      • List Years
  1. Indicator Data Input

Create or Update Data Input

Prod Env
https://platform.esginvest.com
Prod Env
https://platform.esginvest.com
POST
/api/external/corporate/data-input/create-or-update
Generated from cURL: curl --location '{{BASE_URL}}/api/external/corporate/data-input' --request POST --header 'Authorization: Bearer {{TOKEN}}' --header 'Content-Type: application/json' --data '{}'

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://platform.esginvest.com/api/external/corporate/data-input/create-or-update' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "indicator_id": 893,
  "year_id": 12,
  "value": 123.45,
  "unit_id": 107,
  "not_applicable": false
}'
Response Response Example
{
    "data": {
        "id": 23828,
        "value": "123.45",
        "target": null,
        "target_type": null,
        "meta": null,
        "table_item_id": null,
        "set_id": null,
        "company_id": 156,
        "indicator_id": 893,
        "unit_id": 107,
        "year_id": 12,
        "status_id": 1,
        "created_by": 17,
        "modified_by": 17,
        "created_at": "2026-03-30T01:07:27.000000Z",
        "updated_at": "2026-03-30T01:07:27.000000Z",
        "not_applicable": false,
        "reference": null,
        "comment": null,
        "change_comment": null,
        "reason": null
    }
}
Modified at 2026-03-30 01:20:00
Previous
Delete Data Input
Next
List Units
Built with